"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const location_1 = require("./location");
const actions_1 = require("./actions");
function createRoutingReducer(config, location) {
    const initialLocation = location_1.parseLocation(config, location);
    return function (state = { current: initialLocation }, action) {
        if (action.type !== actions_1.LOCATION_CHANGED) {
            return state;
        }
        return {
            current: action.location,
            previous: state.current
        };
    };
}
exports.createRoutingReducer = createRoutingReducer;
